<template>
  <div>
    <el-checkbox-group v-model="checkboxVal" @change="checkboxGroupChange">
      <el-checkbox :label="item.customerClueOptionId" v-for="item in checkboxOptions" :key="item.customerClueOptionId">{{item.customerClueOption}}</el-checkbox>
    </el-checkbox-group>
  </div>
</template>

<script>
    export default {
        name: "Checkbox",
        components: {  },
        props: {
            checkboxOptions: {
                type: Array,
                default() {
                    return []
                }
            },
            checkboxValF: {
                type: Array,
                defaultt() {
                    return []
                }
            },
        },
        watch:{
            checkboxValF:{
                immediate:true,
                handler(val){
                    this.radioVal = val;
                }
            },
        },
        computed: {

        },
        data() {
            return {
                checkboxVal:[],
            }
        },
        created() {

        },
        methods: {
            checkboxGroupChange(node, instanceId){
                // this.$emit('checkboxFn', this.checkboxVal);
            },
        }
    }
</script>

<style scoped>

</style>
